/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


html, body {
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow: hidden;
}

body {
    margin: 0;
    min-height: 100vh;
    background: #4A3426;
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

#room {
    position: relative;
    width: 1400px;
    height: 820px;
    margin: 0 auto;

    background-image: url("home-day-bg.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

#room.night {
    background-image: url("home-night-bg.jpg");
}

#logo {
    position: absolute;
    top: -60px;
    left: 50%;
    transform: translateX(-50%);
    width: 500px;
    height: auto;
    z-index: 100;
}


#lamp-hotspot {
    position: absolute;
    left: 110px;
    top: 246px;
    width: 130px;
    height: 150px;
    z-index: 9999;
    cursor: pointer;
}
#lamp-hotspot:hover .lamp-note {
    opacity: 1;
}

.lamp-note {
    position: absolute;
    top: -40px;
    left: -20px;

    background: #fff8dc;
    padding: 6px 10px;
    border-radius: 10px;

    opacity: 0;
    transition: 0.3s;

    font-family: 'Patrick Hand', cursive;
    white-space: nowrap;
}
.lamp-note {
    pointer-events: none;
}


.guestbook-phone {
    position: absolute;
    left: 30px;
    top: 385px;
}

.guestbook-phone img {
    width: 120px;
    height: auto;
    display: block;
    transition: transform 0.3s ease;
}
.guestbook-phone:hover img {
    transform: rotate(-3deg);
}
.guestbook-phone:hover .tooltip {
    opacity: 1;
}


.trinket-box {
    position: absolute;
    left: 280px;
    top: 615px;
}

.trinket-box img {
    width: 90px;
    height: auto;
    display: block;
    transition: transform 0.3s ease;
}
.trinket-box:hover img {
    transform: rotate(-3deg);
}
.trinket-box:hover .tooltip {
    opacity: 1;
}

.sewing-machine {
    position: absolute;
    left: 700px;
    top: 530px;
}
.sewing-machine img {
    width: 180px;
    height: auto;
    display: block;
    transition: transform 0.3s ease;
}
.sewing-machine:hover img {
    transform: rotate(-3deg);
}
.sewing-machine:hover .tooltip {
    opacity: 1;
    bottom: 80%
}


.picture-frame {
    position: absolute;
    left: 600px;
    top: 170px;
}
.picture-frame img {
    width: 170px;
    transition: transform 0.3s ease;
}
.picture-frame:hover img {
    transform: rotate(-3deg);
}
.picture-frame:hover .tooltip {
    opacity: 1;
    z-index: 99999999;
    bottom: 80%;
}

.plant-one {
    position: absolute;
    left: 180px;
    top: 12px;
}
.plant-one img {
    width: 260px;
    height: auto;
    transition: transform 0.3s ease;
}
.plant-one:hover .tooltip {
    opacity: 1;
    bottom: 80%;
}

.plant-one:hover img {
    transform: rotate(-2deg);
}


.telly {
    position: absolute;
    left: 520px;
    top: 300px;
}
.telly img {
    width: 170px;
    transition: transform 0.3s ease;
}
.telly:hover img {
    transform: rotate(-3deg);
}
.telly:hover .tooltip {
    opacity: 1;
    z-index: 99999999;
    bottom: 80%;
}

.kitchen {
    position: absolute;
    left: 1150px;
    top: 310px;
}
.kitchen img {
    width: 230px;
    height: auto;
    transition: transform 0.3s ease;
}
.kitchen:hover img {
    transform: rotate(-3deg);
}
.kitchen:hover .tooltip {
    opacity: 1;
    bottom: 80%
}



#gramophone {
    position: absolute;
    left: 720px;
    top: 310px;
}

#gramophone img {
    width: 150px;
    height: auto;
    display: block;
    transition: transform 0.3s ease;
}

#gramophone:hover img {
    transform: rotate(-3deg);
}

#gramophone:hover .tooltip {
    opacity: 1;
}



#bookshelf-hotspot {
    position: absolute;
    left: 900px;
    top: 57px;
    width: 240px;
    height: 550px;
    z-index: 9999999;
    cursor: pointer;
}
#bookshelf-hotspot:hover .bookshelf-note {
    opacity: 1;
}

.bookshelf-note {
     position: absolute;
    top: -45px;
    left: 50%;
    transform: translateX(-50%);
    background: #fff8dc;
    padding: 6px 10px;
    border-radius: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
    font-family: 'Patrick Hand', cursive;
    white-space: nowrap;
    pointer-events: none;
}

.tooltip {
    position: absolute; bottom: 120%; left: 50%; transform: translateX(-50%);
    background: #fffaf2; color: #5b3a29;
    padding: 8px 12px;
    border-radius: 12px;
    border: 2px solid #d6c3a3;
    white-space: nowrap;
    font-family: 'Indie Flower', cursive;
    font-size: 14px;

    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.crafts-page {
    background-color:#ADD8E6;
    background-image: url('crafts-bg.jpg');
    background-position: top center;
    background-size: cover;
}



#welcome-note {
    position: absolute;
    top: 165px;
    left: 50%;
    transform: translateX(-50%);

    padding: 4px 12px;
    background: rgba(255, 248, 220, 0.85);
    border-radius: 20px;

    font-family: 'Patrick Hand', cursive;
    font-size: 13px;
    letter-spacing: 1px;
    color: #5b3a29;
    text-align: center;

    z-index: 100;
}

/* Updates box and sub heading */


#updates-window {
    position: absolute;
    left: 1170px;
    top: 100px;
    
    width: 170px;
    height: 140px;

    background: #D9E3D0;
    border: 2px solid #A7B398;
    color: #4A3426;
    border-radius: 18px;

    padding: 5px;
    z-index: 200;
    box-shadow:
        0 4px 10px rgba(0,0,0,0.15);
}

.updates-title {
    font-size: 26px;
    letter-spacing: 1px;
    text-align: center;
    font-family: 'Iosevka Charon', static;
    color: #8B5C6F;
}

.updates-content {
    text-align: center;
    height: 100px;
    overflow-y: auto;
    

   font-family: 'Iosevka Charon', monospace;
    font-size: 14px;
    line-height: 1.6;
}

.update-date {
     color: #4F6D4F;
}
.updates-content p {
    margin: 0 0 10px 0;
}

.updates-content::-webkit-scrollbar {
    width: 6px;
}

.updates-content::-webkit-scrollbar-thumb {
    background: #c8b28f;
    border-radius: 10px;
}

.updates-content::-webkit-scrollbar-track {
    background: #f8f1e4;
}

/* Guestbook page */

body {
    margin: 0;
    background: #6B4A34;
}
#postcard {
    position: relative;

    width: 1400px;
    height: 820px;

    margin: 0 auto;

    background-image: url("guestbook-bg.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#stamp-hotspot {
    position: absolute;
    left: 1000px;
    top: 160px;
    width: 100px;
    height: 120px;
    cursor: pointer;
    z-index: 500;
}
.stamp-note {
    position: absolute;
    top: -45px;
    left: -20px;
    background: #fff8dc;
    padding: 6px 10px;
    border-radius: 12px;
    opacity: 0;
    transition: 0.3s;
    white-space: nowrap;
    font-family: 'Patrick Hand', cursive;
    color: #5b3a29;
    pointer-events: none;
}

#stamp-hotspot:hover .stamp-note {
    opacity: 1;
}
#stamp-hotspot:hover {
    transform: rotate(-3deg) scale(1.05);
    transition: 0.2s;
}
#stamp-hotspot:hover {
    outline: 2px dashed rgba(138, 154, 91, 0.4);
}


/* About Me page */

.about-page {
    margin: 0;
    min-height: 100vh;

    background-image: url("aboutme-bg.png");
    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
}

.clipboard {
    position: relative;

    width: 700px;
    height: 1000px;

    margin: 50px auto;

    background-image: url("aboutme-doily.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.side-nav {
    position: absolute;

    top: 190px;
    left: 50px;

    width: 120px;

    display: flex;
    flex-direction: column;
    gap: 20px;
}

.side-nav img {
    width: 100px;
    display: block;

    transition: transform 0.3s ease;
}

.side-nav img:hover {
    transform: rotate(-3deg) scale(1.05);
}

.about-box {
    position: absolute;

    top: 300px;
    left: 220px;
    width: 290px;
    height: 460px;
    overflow-y: auto;
    padding-right: 15px;
    font-family: Georgia, "Times New Roman", serif;
    font-size:15px;
    color: #5B4636;
    line-height: 1.6;
    text-align: center;
}

.about-box::-webkit-scrollbar {
    width: 8px;
}

.about-box::-webkit-scrollbar-track {
    background: #f2eadf;
    border-radius: 10px;
}

.about-box::-webkit-scrollbar-thumb {
    background: #8ba36f;
    border-radius: 10px;
}

.currently {
    position: absolute;

    top: 210px;
    right: 50px;
    width: 150px;
    padding: 15px;
    background: rgba(255,255,255,0.45);
    border: 2px solid rgba(139,163,111,0.5);
    border-radius: 18px;
    text-align: center;
    color: #3F5A40;
    font-family: 'Mansalva', cursive;
}


/* Under Construction page */

.construction-page {
    margin: 0;
    min-height: 100vh;

    background-image: url("underconstruction.png");
    background-repeat: no-repeat;
    background-position: center top;
    background-size: contain;
    background-color: #f8f1e4;
}
.return-link {
    position: absolute;
    top: 30px;
    left: 30px;

    padding: 8px 16px;
    background: rgba(255,248,220,0.95);
    border-radius: 20px;

    text-decoration: none;
    color: #5b3a29;
    font-family: 'Patrick Hand', cursive;

    box-shadow: 2px 2px 6px rgba(0,0,0,0.15);
    
}

